#pragma once
#include <HwmAgentCallback.h>
#include <vector>
#include "afxwin.h"


// demoEditVmrInfoDialog 对话框

class demoEditVmrInfoDialog : public CDialogEx
{
	DECLARE_DYNAMIC(demoEditVmrInfoDialog)

public:
	demoEditVmrInfoDialog(CWnd* pParent = nullptr);   // 标准构造函数
	virtual ~demoEditVmrInfoDialog();

// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_EDIT_VMR_INFO_DIALOG };
#endif

    virtual BOOL OnInitDialog();

    afx_msg LRESULT OnVmrList(WPARAM wparam, LPARAM lparam);
    void OnVmrChange();
protected:
    virtual void OnOK();

    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()

    void updateData();
protected:
    CComboBox m_vmrCombo;
    CEdit m_vmrNameEdit;
    CEdit m_vmrChairPassEdit;
    CEdit m_vmrGuestPassEdit;
    CButton m_allowGuestStartConf;

private:
    std::vector<hwmsdkagent::HwmVmrInfo> vmrList;
public:
    CComboBox m_confAdmissionCtrl;
    CButton m_openWaitingroom;
};
